Cannot run of fedora 64bit

Linux support forums for Eschalon: Book II
Post Reply
liamdawe
Initiate
Posts: 7
Joined: June 8th, 2010, 7:37 am

Cannot run of fedora 64bit

Post by liamdawe » June 8th, 2010, 7:40 am

[liamdawe@liam-fedora eschalon_book_2_1.03]$ ./eschalon_book_2
bash: ./eschalon_book_2: /lib/ld-linux.so.2: bad ELF interpreter: No such file or directory
Can someone tell me what i am missing to play it? Probably some library somewhere.

Cheers everyone!

User avatar
SpottedShroom
Captain Magnate
Captain Magnate
Posts: 1371
Joined: June 4th, 2010, 6:18 pm

Re: Cannot run of fedora 64bit

Post by SpottedShroom » June 8th, 2010, 9:36 am

I believe you need to install 32 bit glibc. Try:

Code: Select all

yum install glibc.i686

liamdawe
Initiate
Posts: 7
Joined: June 8th, 2010, 7:37 am

Re: Cannot run of fedora 64bit

Post by liamdawe » June 8th, 2010, 9:45 am

Sweet got that one, next error:
[liamdawe@liam-fedora eschalon_book_2_1.03]$ ./eschalon_book_2
./eschalon_book_2: error while loading shared libraries: libX11.so.6: cannot open shared object file: No such file or directory
Another 32bit lib i'm guessing right?

User avatar
SpottedShroom
Captain Magnate
Captain Magnate
Posts: 1371
Joined: June 4th, 2010, 6:18 pm

Re: Cannot run of fedora 64bit

Post by SpottedShroom » June 8th, 2010, 10:44 am

Most likely. I don't have any Fedora boxes to look at, but libX11.so.6 is part of libX11 on RHEL 5. Try "yum install libX11.i386".

liamdawe
Initiate
Posts: 7
Joined: June 8th, 2010, 7:37 am

Re: Cannot run of fedora 64bit

Post by liamdawe » June 8th, 2010, 10:53 am

I found it, the packages are i686 now as Fedora if memory serves are moving away from i386.

Still keeps coming up with more missing libs, price i pay for running 64bit!

Having to download 60mb+ atm for the required libs :(

Edit > Woohoo finally got it to load :D

User avatar
SpottedShroom
Captain Magnate
Captain Magnate
Posts: 1371
Joined: June 4th, 2010, 6:18 pm

Re: Cannot run of fedora 64bit

Post by SpottedShroom » June 8th, 2010, 12:35 pm

Enjoy :)

Can you post a list of the libraries you had to install, just so someone else in your position will have an easy one-liner to get things working?

User avatar
sirdilznik
Officer [Gold Rank]
Officer [Gold Rank]
Posts: 439
Joined: April 15th, 2010, 5:40 am

Re: Cannot run of fedora 64bit

Post by sirdilznik » June 10th, 2010, 8:49 am

I run Fedora 13 x86_64 and had no problems from the get go but that's because I had the vast majority of 32-bit libs installed previous. I probably got everything I needed (and then some) when I installed all the libs needed to compile wine:
yum install alsa-lib-devel.i686 alsa-lib-devel audiofile-devel.i686 audiofile-devel cups-devel.i686 cups-devel dbus-devel.i686 dbus-devel esound-devel.i686 esound-devel fontconfig-devel.i686 fontconfig-devel freetype-devel.i686 freetype-devel giflib-devel.i686 giflib-devel hal-devel.i686 hal-devel lcms-devel.i686 lcms-devel libICE-devel.i686 libICE-devel libjpeg-devel.i686 libjpeg-devel libpng-devel.i686 libpng-devel libSM-devel.i686 libSM-devel libusb-devel.i686 libusb-devel libX11-devel.i686 libX11-devel libXau-devel.i686 libXau-devel libXcomposite-devel.i686 libXcomposite-devel libXcursor-devel.i686 libXcursor-devel libXext-devel.i686 libXext-devel libXi-devel.i686 libXi-devel libXinerama-devel.i686 libXinerama-devel libxml2-devel.i686 libxml2-devel libXrandr-devel.i686 libXrandr-devel libXrender-devel.i686 libXrender-devel libxslt-devel.i686 libxslt-devel libXt-devel.i686 libXt-devel libXv-devel.i686 libXv-devel libXxf86vm-devel.i686 libXxf86vm-devel mesa-libGL-devel.i686 mesa-libGL-devel mesa-libGLU-devel.i686 mesa-libGLU-devel ncurses-devel.i686 ncurses-devel openldap-devel.i686 openldap-devel openssl-devel.i686 openssl-devel zlib-devel.i686 pkgconfig sane-backends-devel.i686 sane-backends-devel xorg-x11-proto-devel glibc-devel.i686 prelink fontforge flex bison libstdc++-devel.i686 pulseaudio-libs-devel.i686 gnutls-devel.i686 libgphoto2-devel.i686 openal-soft-devel.i686 isdn4k-utils-devel.i686 gsm-devel.i686 samba-winbind libv4l-devel.i686 cups-devel.i686 libtiff-devel.i686
Of course that's likely overkill if you're not looking to compile wine also :lol:
Will Pay For Cloth Map

zeland
Initiate
Posts: 6
Joined: July 2nd, 2010, 1:15 am

Re: Cannot run of fedora 64bit

Post by zeland » July 2nd, 2010, 1:27 am

I too run F13_64 and didn't have sound when running the demo/trial. A little strace latter shows that eschalon is looking for libopenal.so in a few places. However, F13 uses libopenal.so.1 (note the .1) as the default symlink to libopenal.so.1.12.854 (the current openal at the time of this writing).

Easiest fix is to just create another symlink

Code: Select all

ln -s /usr/lib/libopenal.so.1.12.854 /usr/lib/libopenal.so
or the developers of eschalon will need to code in extra checks libopenal.so.1.

Post Reply

Who is online

Users browsing this forum: No registered users and 4 guests